#include <stdio.h>
#include <conio.h>
#include <stdlib.h>
#include <ctype.h>

void mayor();
void apto();
void ecuaciones();
void nota();
void triangulo();
void bisiesto();

void main()
{

	char opcion;
	clrscr();
	do {
	printf ("\n 1.Ejercicio Mayor o menor: ");
	printf ("\n 2.Ejercicio Apto o no apto: ");
	printf ("\n 3.Ejercicio Ecuaciones: ");
	printf ("\n 4.Ejercicio Notas: ");
	printf ("\n 5.Ejercicio Triangulos: ");
	printf ("\n 6.Ejercicio Anio bisiesto: ");
	printf ("\n 7.Salir: ");

	printf ("\n - Introduce la opcion deseada: ");
	fflush(stdin);
	scanf("%c",&opcion);
	switch (opcion)
		{
		case '1': mayor();break;
		case '2': apto ();break;
		case '3': ecuaciones ();break;
		case '4': nota ();break;
		case '5': triangulo();  break;
		case '6': bisiesto();break;
		case '7': break;
		default : printf ("\n Error de opci˘n!!Pulse una tecla para continuar...");
		getch();
		clrscr();
		}

	 }while(opcion!='7');

}
void mayor()

{
int x,y;
clrscr ();

printf ("\n introduce el primer numero(X): ");
scanf ("%d",&x);
printf ("\n introduce el segundo numero(Y): ");
scanf ("%d",&y);

if (x==y)

printf ("\n X e Y son iguales,%d = %d",x,y);

else

		if (x>y)

		printf ("\n X es mayor q Y,%d > %d",x,y);
		else

		printf ("\n X es menor q Y,%d < %d",x,y);

getch ();

clrscr ();
}


void apto()

{
int x;
clrscr ();

printf ("\n Introduce la nota del alumno: ");
scanf ("%d",&x);

if (x<5)

printf ("\n El alumno esta  suspenso :( %d",x);

else

		printf ("\n El alumno esta  aprobado :) %d",x);

getch ();
clrscr ();
}


void ecuaciones()

{

int a,b,c,d,e,f,x,y;
clrscr ();
printf (" ax+by=c\n dx+ey=f");
printf ("\n introduce A: ");
scanf ("%d",&a);
printf ("\n introduce B: ");
scanf ("%d",&b);
printf ("\n introduce C: ");
scanf ("%d",&c);
printf ("\n introduce D: ");
scanf ("%d",&d);
printf ("\n introduce E: ");
scanf ("%d",&e);
printf ("\n introduce F: ");
scanf ("%d",&f);

if (a*e-b*d==0)
printf (" error, denominadores son 0!!!!!!!");

else
x=(c*e-b*f)/(a*e-b*d);
y=(a*f-c*d)/(a*e-b*d);

printf ("\n el valor de X e Y es: %d,%d",x,y);

getch ();
clrscr ();
}


void nota()
{
float n;

clrscr();
printf ("\n Introduzca la nota: ");
scanf("%f",&n);

if (n<5)

printf ("\n Suspenso!!");

else

	if (n>=5 & n<7)

	printf ("\n Aprobado!!");

	else

		if (n<9 & n>=7)
		printf ("\n Notable!!!!!!");

		else

			if(n>=9 & n<10)
			printf ("\n Sobresalienteeee!!!!!!");

			else

				if (n==10)
				printf ("\n DesTRoYeR!!!!Matricula de Honor!!!!");


getch();
clrscr ();
}

void triangulo()

{

int a,b,c;
clrscr ();

printf ("\n introduce el primer lado: ");
scanf ("%d",&a);
printf ("\n introduce el segundo lado: ");
scanf ("%d",&b);
printf ("\n introduce el tercer lado: ");
scanf ("%d",&c);

if (a>=b+c)

printf ("\n no es un triangulo");
else
	if (a*a>=b*b+c*c)
	printf ("\n el triangulo es rectangulo");
	else
		if (a*a>b*b+c*c)
		printf ("\n el triangulo es obtusangulo");
		else
			if (a*a<b*b+c*c)
			printf ("\n el triangulo es acutangulo");

getch ();
clrscr ();
}

void bisiesto()
{
	int meses;
	char bisiesto;

	clrscr();
	printf("\n El a¤o es bisiesto (S/N)?: ");
	bisiesto=toupper(getche());
	printf("\n Introduce el n§ de mes: ");
	scanf("%d",&meses);


	switch (meses)
	{
		case 1:  printf("Enero.Tiene 31 dĦas"); break;
		case 2:  if (bisiesto=='S')
						printf("\n Febrero tiene 29 dĦas");
					else
						printf("\n Febrero tiene 28 dĦas");
					break;
		case 3:   printf("Marzo.Tiene 31 dĦas"); break;
		case 4:   printf("Abril.Tiene 30 dĦas"); break;
		case 5:   printf("Mayo.Tiene 31  dĦas"); break;
		case 6:   printf("Junio.Tiene 30 dĦas"); break;
		case 7:   printf("Julio.Tiene 31 dĦas"); break;
		case 8:   printf("Agosto.Tiene 31 dĦas"); break;
		case 9:   printf("Septiembre.Tiene 30  dĦas"); break;
		case 10:  printf("Octure.Tiene 31 dĦas"); break;
		case 11:  printf("Noviembre.Tiene 30 dĦas"); break;
		case 12:  printf("Diciembre.Tiene 31 dĦas");

	}
	getch();
	clrscr ();
}